int main(void)
{
    /* Builtin functions */
    double exp(double);

    /* Local variables */
    extern int id10r_c(float *, float *, int *, int *, int *, int *, int *,
                       int *, int *, float *, float *, float *, int *, int *),
               ii10r_c(int *, int *, int *, int *, int *, int *, float *);
    static int ierr;
    static float a[10], e[10], h__;
    static int i__, j;
    static float t, x, y[50] /* was [10][5] */;
    static int la, nl, lo, no, ns, mu, nu;
    static float xn;
    static int nth;

#define y_ref(a_1,a_2) y[(a_2)*10 + a_1 - 11]

    h__ = .25f;
    xn = 2.f;
    x = xn - h__;
    nth = 1;
    t = 1e-4f;
    for (i__ = 1; i__ <= 10; ++i__) {
        for (j = 1; j <= 5; ++j) {
/* L3: */
            y_ref(i__, j) = 0.f;
        }
    }
    for (i__ = 1; i__ <= 10; ++i__) {
        x += h__;
        y_ref(i__, 1) = (float)exp((float)(-x));
/* L1: */
    }
    mu = 10;
    nl = 1;
    ns = 1;
    nu = 10;
    lo = 2;
    no = 6;
    ii10r_c(&mu, &nl, &ns, &nu, &no, &lo, y);

    for (i__ = 0; i__ <= 48; i__+= 2) {
        printf("\n  %16.7e %16.7e \n",y[i__], y[i__+1]);
    }
    id10r_c(&h__, y, &mu, &nl, &ns, &nu, &no, &lo, &nth, &t, a, e, &la, &ierr);

    for (i__ = 1; i__ <= 10; ++i__) {
        printf("\n %16.7e %16.7e \n",a[i__-1], e[i__-1]);
    }
/* L2: */
    return 0;
} /* main */

#undef y_ref
